Subject: Re: bug#70385: Crash in note_fringe_highlight

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Apr 2024 14:30:21 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 15 Apr 2024 09:32:04 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Björn Bidar <[email-masked]> writes:
> 
> > Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text
> > editors" <[email-masked]> writes:
> >
> >>> Hi Juri,
> >>>
> >>> This must be related to the recent patch introducing the function.
> >>>
> >>> Can you reliably reproduce the crash?
> >>
> >> I have the same problem. I tried to replicate it with Emacs -Q but
> >> it seems hard to do since it just happens at some point when using Emacs
> >> and moving around between screens/virtual desktops.
> >
> > Actually I've found a way.
> > 1. Open a file using a mode that uses fringe indicators such as flycheck
> > 2. Point at the indicator
> > 3. Crash
> >
> > Sometime not even that is needed. E.g. I was moving from the monitor
> > that the frame is on which Gnus is inside where I'm writing this reply
> > to my browser on the other monitor.
> > Just a few seconds after I was on the the other monitor Emacs crashed.
> 
> I think I've fixed this on master.  Please test, thanks.

Thanks.

Any reason you didn't include w->window_end_valid in the condition,
like we do for mouse-highlight?  I'd like in general to have the same
conditions, to avoid having people wonder what they miss when they
read this code.